Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

countryedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: countryedit.php 7938 2001-10-17 12:19:26Z ce $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "ezaddress/classes/ezcountry.php" );
29
30 $language_file = "country.php";
31 $item_type = new eZCountry( $CountryID );
32 if ( isset( $ItemArrayID ) and is_array( $ItemArrayID ) )
33 {
34 $item_types = array();
35 foreach( $ItemArrayID as $item_id )
36 {
37 $item_types[] = new eZCountry( $item_id );
38 }
39 }
40
41 $page_path = "/address/country";
42 $typeedit = "typeedit.tpl";
43 $template_array = array( "country_tpl" => "countryedit.tpl" );
44 $block_array = array( "extra_type_input" => "country_tpl" );
45
46 $func_call = array( "item_id" => "id",
47 "item_name" => "name",
48 "item_has_vat" => "hasVAT",
49 "item_iso" => "iso" );
50
51 $func_call_set = array( "setName" => "ItemName",
52 "setHasVAT" => "ItemHasVAT",
53 "setISO" => "ItemISO" );
54
55 include( "kernel/ezaddress/admin/typeedit.php" );
56
57 ?>
$item_types
$item_types
Definition: addresstypeedit.php:32
eZCountry
Definition: ezcountry.php:39
$typeedit
$typeedit
Definition: countryedit.php:42
$func_call
$func_call
Definition: countryedit.php:46
$language_file
$language_file
Definition: countryedit.php:30
$func_call_set
$func_call_set
Definition: countryedit.php:51
$item_type
$item_type
Definition: countryedit.php:31
$block_array
$block_array
Definition: countryedit.php:44
$page_path
if(isset( $ItemArrayID) and is_array( $ItemArrayID)) $page_path
Definition: countryedit.php:41
$template_array
$template_array
Definition: countryedit.php:43
$item_id
$item_id
Definition: personedit.php:76
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.